# $Revision: 1.33 $, $Date: 2004/05/07 01:24:55 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Metadata
Summary:	Metadata - classes for simple metadata
Summary(pl):	Metadata - klasy dla prostych metadanych
Name:		perl-Metadata
Version:	0.24
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{version}.tar.gz
# Source0-md5:	59fb764edce6681e85feb80decafb3fa
Patch0:		%{name}.patch
BuildRequires:	perl-devel >= 1:5.8.0
%if %{with tests}
BuildRequires:	perl-TimeDate
%endif
BuildRequires:	rpm-perlprov
Requires:	perl-TimeDate
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This collection of modules provide an implementation of Dublin Core
compatible metadata and subclasses for IAFA Templates, SOIF (Harvest)
and should be easily extendible to similar (fairly flat) metadata
formats.

%description -l pl
Ten zestaw moduw udostpnia implementacj zgodnych z Dublin Core
metadanych i podklas IAFA Templates i SOIF (Harvest). Powinny by
atwo rozszerzalne do podobnych (paskich) formatw metadanych.

%prep
%setup -q -n Metadata-%{version}
%patch -p1

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install examples/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc BUGS Changes README
%{perl_vendorlib}/Metadata
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Metadata.spec,v $
Revision 1.33  2004/05/07 01:24:55  ankry
- rel. 8

Revision 1.32  2004/05/06 17:57:00  ankry
- fixed perl-devel BR

Revision 1.31  2004/04/25 06:25:09  ankry
- cosmetics: unification

Revision 1.30  2004/04/24 14:52:15  ankry
- license fixes / unification

Revision 1.29  2004/04/20 23:59:37  ankry
- ported to new bconds

Revision 1.28  2003/09/09 10:24:42  ankry
- spaces -> tab

Revision 1.27  2003/08/18 08:09:02  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.26  2003/05/28 13:00:53  malekith
- massive attack: source-md5

Revision 1.25  2003/05/25 06:24:48  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.24  2003/04/11 18:59:25  radek
- BR: perl-devel; do not BR: perl

Revision 1.23  2003/03/01 20:21:36  radek
- should be ready for perl-5.8.0; release++

Revision 1.22  2003/02/25 00:41:02  radek
- use the __perl macro

Revision 1.21  2003/02/18 15:36:55  ankry
- massive attack: change CPAN URLs

Revision 1.20  2002/08/31 12:20:26  qboosh
- pl description, release 6

Revision 1.19  2002/08/29 17:16:50  radek
- release 5

Revision 1.18  2002/08/29 17:16:19  radek
- informative summary/description, tests, new %doc

Revision 1.17  2002/05/11 14:28:10  kloczek
- s/ftp.perl.org/ftp.cpan.org/ in Source url.

Revision 1.16  2002/03/03 20:24:42  marcus
- rel.4.

Revision 1.15  2002/02/22 23:29:30  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.14  2002/02/10 15:28:56  depesz
adapterized

Revision 1.13  2002/01/18 02:14:22  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.12  2001/11/28 15:20:20  mis
- buildarch noarch; release++

Revision 1.11  2001/04/17 12:13:03  baggins
- release 2
- rebuild with perl 5.6.1

Revision 1.10  2001/04/14 18:00:08  baggins
- removed explicit requirements for perl = %%{version} and %%{perl_sitearch}
  they will be added by rpm if needed

Revision 1.9  2001/02/19 14:20:13  mis
- updated (by autoup) to 0.24

Revision 1.8  2001/01/19 02:52:27  kloczek
- release 4: rebuild agaunst perl 5.6 and use rpm automation.

Revision 1.7  2000/06/09 07:54:56  kloczek
- more %%{__make} macros.

Revision 1.6  2000/06/09 07:23:40  kloczek
- added using %%{__make} macro.

Revision 1.5  2000/05/21 20:11:42  kloczek
- spec adapterized.

Revision 1.4  2000/05/02 21:05:03  baggins
- fixed including macros

Revision 1.3  2000/04/01 11:15:20  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.2  2000/03/28 16:54:58  baggins
- translated kloczkish into english

Revision 1.1  1999/10/20 19:46:45  pius
- initial release
